Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.ogcwebservices.wfs.operation
Enum GetFeature.RESULT_TYPE

    java.lang.Object
      java.lang.Enum<GetFeature.RESULT_TYPE>
          org.deegree.ogcwebservices.wfs.operation.GetFeature.RESULT_TYPE

All Implemented Interfaces:
  Serializable, Comparable<GetFeature.RESULT_TYPE>

Enclosing class:
  GetFeature

    public static enum GetFeature.RESULT_TYPE

extends Enum<GetFeature.RESULT_TYPE>

Known result types.

Enum Constant Summary
`HITS` Only a count of the number of features should be returned.
`RESULTS` A full response should be generated.

Method Summary
`static GetFeature.RESULT_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GetFeature.RESULT_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RESULTS

    public static final GetFeature.RESULT_TYPE RESULTS

  A full response should be generated.

### HITS

    public static final GetFeature.RESULT_TYPE HITS

  Only a count of the number of features should be returned.

Method Detail

### values

    public static final GetFeature.RESULT_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GetFeature.RESULT_TYPE c : GetFeature.RESULT_TYPE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GetFeature.RESULT_TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org